hpp-core: Validation of configurations and paths

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Classes | Functions
Validation of configurations and paths

## Classes
struct | hpp::core::CollisionPathValidationReport
| Path validation report used for standard collision checking. More...
struct | hpp::core::CollisionValidationReport
struct | hpp::core::AllCollisionsValidationReport
class | hpp::core::CollisionValidation
class | hpp::core::ConfigValidation
class | hpp::core::ConfigValidations
class | hpp::core::ContinuousValidation
class | hpp::core::continuousValidation::Dichotomy
class | hpp::core::continuousValidation::Progressive
class | hpp::core::JointBoundValidationReport
| report returned when a configuration is not within the bounds More...
class | hpp::core::JointBoundValidation
struct | hpp::core::PathValidationReport
class | hpp::core::PathValidation
class | hpp::core::pathValidation::Discretized
class | hpp::core::PathValidations
struct | hpp::core::ProjectionError
| Handles projection errors when evaluating a path. More...
class | hpp::core::ValidationReport

## Functions
static DichotomyPtr_t | hpp::core::continuousValidation::Dichotomy::create (const DevicePtr_t &robot, const value_type &tolerance)
virtual | hpp::core::continuousValidation::Dichotomy::~Dichotomy ()
| hpp::core::continuousValidation::Dichotomy::Dichotomy (const DevicePtr_t &robot, const value_type &tolerance)
void | hpp::core::continuousValidation::Dichotomy::init (const DichotomyWkPtr_t weak)
| Store weak pointer to itself.
static ProgressivePtr_t | hpp::core::continuousValidation::Progressive::create (const DevicePtr_t &robot, const value_type &tolerance)
virtual | hpp::core::continuousValidation::Progressive::~Progressive ()
| hpp::core::continuousValidation::Progressive::Progressive (const DevicePtr_t &robot, const value_type &tolerance)
void | hpp::core::continuousValidation::Progressive::init (const ProgressiveWkPtr_t weak)
| Store weak pointer to itself.
DiscretizedPtr_t | hpp::core::pathValidation::createDiscretizedCollisionChecking (const DevicePtr_t &robot, const value_type &stepSize)
| Validation of path by collision checking at discretized parameter values.
DiscretizedPtr_t | hpp::core::pathValidation::createDiscretizedJointBound (const DevicePtr_t &robot, const value_type &stepSize)
| Validation of path by checking joint bounds at discretized parameter values.
std::ostream & | hpp::core::operator<< (std::ostream &os, const ValidationReport &report)

## Detailed Description

Paths and configurations need to be validated with respect to various criteria (collision, joint bounds,...) during path planning and path optimization. Validation of a configuration or of a path gives rise to a validation report that provide information if validation failed.

## Function Documentation

## ◆ create() [1/2]

static DichotomyPtr_t hpp::core::continuousValidation::Dichotomy::create | ( | const DevicePtr_t & | robot,
|  | const value_type & | tolerance
| ) |  |
| static

Create instance and return shared pointer

Parameters

  robot | the robot for which continuous validation is performed,
  tolerance | maximal penetration allowed.

## ◆ create() [2/2]

static ProgressivePtr_t hpp::core::continuousValidation::Progressive::create | ( | const DevicePtr_t & | robot,
|  | const value_type & | tolerance
| ) |  |
| static

Create instance and return shared pointer

Parameters

  robot | the robot for which continuous validation is performed,
  tolerance | maximal penetration allowed.

## ◆ createDiscretizedCollisionChecking()

DiscretizedPtr_t hpp::core::pathValidation::createDiscretizedCollisionChecking | ( | const DevicePtr_t & | robot,
|  | const value_type & | stepSize
| ) |  |

Validation of path by collision checking at discretized parameter values.

## ◆ createDiscretizedJointBound()

DiscretizedPtr_t hpp::core::pathValidation::createDiscretizedJointBound | ( | const DevicePtr_t & | robot,
|  | const value_type & | stepSize
| ) |  |

Validation of path by checking joint bounds at discretized parameter values.

## ◆ Dichotomy()

hpp::core::continuousValidation::Dichotomy::Dichotomy | ( | const DevicePtr_t & | robot,
|  | const value_type & | tolerance
| ) |  |
| protected

Constructor

Parameters

  robot | the robot for which continuous validation is performed,
  tolerance | maximal penetration allowed.

## ◆ init() [1/2]

void hpp::core::continuousValidation::Dichotomy::init | ( | const DichotomyWkPtr_t | weak | ) |
| protected

Store weak pointer to itself.

## ◆ init() [2/2]

void hpp::core::continuousValidation::Progressive::init | ( | const ProgressiveWkPtr_t | weak | ) |
| protected

Store weak pointer to itself.

## ◆ operator<<()

std::ostream & hpp::core::operator<< | ( | std::ostream & | os,
|  | const ValidationReport & | report
| ) |  |
| inline

## ◆ Progressive()

hpp::core::continuousValidation::Progressive::Progressive | ( | const DevicePtr_t & | robot,
|  | const value_type & | tolerance
| ) |  |
| protected

Constructor

Parameters

  robot | the robot for which continuous validation is performed,
  tolerance | maximal penetration allowed.

## ◆ ~Dichotomy()

virtual hpp::core::continuousValidation::Dichotomy::~Dichotomy | ( |  | ) |
| virtual

## ◆ ~Progressive()

virtual hpp::core::continuousValidation::Progressive::~Progressive | ( |  | ) |
| virtual